--- /dev/null
+#!/bin/bash
+
+set -ex
+
+# Create the virtualenv
+virtualenv venv
+. venv/bin/activate
+
+# Define and ensure the PIP cache
+PIP_SDIST_INDEX="$HOME/.cache/pip"
+mkdir -p $PIP_SDIST_INDEX
+
+# Define and ensure a GIT Ansible cache
+REPO_CACHE="$HOME/.cache/git/ceph-build"
+mkdir -p $REPO_CACHE
+
+# Clone the ceph-build repo or pull if it exists
+if [ -d "$REPO_CACHE/.git" ]; then
+ cd "$REPO_CACHE" && git pull
+ cd -
+else
+ git clone https://github.com/ceph/ceph-build.git "$REPO_CACHE"
+fi
+
+# Install the package by trying with the cache first, otherwise doing a download only, and then
+# trying to install from the cache again.
+if ! venv/bin/pip install --find-links="file://$PIP_SDIST_INDEX" --no-index ansible; then
+ venv/bin/pip install --download-directory="$PIP_SDIST_INDEX" ansible
+ venv/bin/pip install --find-links="file://$PIP_SDIST_INDEX" --no-index ansible
+fi
+
+# run ansible to get this current host to meet our requirements, specifying
+# a local connection and 'localhost' as the host where to execute
+cd "$REPO_CACHE/ceph-deploy-pull-requests/setup/playbooks"
+ansible-playbook -i "localhost," -c local setup.yml
--- /dev/null
+---
+ - name: add deadsnakes ppa
+ action: apt_repository repo=ppa:fkrull/deadsnakes state=present
+
+ - name: "update apt repo"
+ action: apt update-cache=yes
+
+ - name: install python requirements
+ action: apt pkg=$item state=installed
+ with_items:
+ - python-software-properties
+ - python-dev
+ - python-setuptools
+ - python2.6
+ - python2.7
+
+ - name: install pip
+ action: easy_install name=pip